/*
 * Copyright (C) 2003-2005 Atmark Techno, Inc.  All Rights Reserved.
 */

#ifndef _HERMIT_SUZAKU_MEMREGIONS_H
#define _HERMIT_SUZAKU_MEMREGIONS_H

#include <target/ioregs.h>

#define KiB                 (1024)

#ifdef __microblaze__

#define FLASH_BASEADDR      (XPAR_SYSTEM_MEMCON_MEM1_BASEADDR)
#define FLASH_SIZE          (XPAR_SYSTEM_MEMCON_MEM1_HIGHADDR - XPAR_SYSTEM_MEMCON_MEM1_BASEADDR + 1)

#define DRAM_BASEADDR        XPAR_SDRAM_CONTROLLER_BASEADDR
#define DRAM_START           DRAM_BASEADDR
#define DRAM_SIZE            XPAR_SDRAM_CONTROLLER_HIGHADDR - XPAR_SDRAM_CONTROLLER_BASEADDR + 1
#define DRAM_END            (DRAM_START + DRAM_SIZE - 1)

#elif __PPC__

#define FLASH_BASEADDR      (XPAR_SYSTEM_MEMCON_MEM1_BASEADDR)
#define FLASH_SIZE          (XPAR_SYSTEM_MEMCON_MEM1_HIGHADDR - XPAR_SYSTEM_MEMCON_MEM1_BASEADDR + 1)

#define DRAM_BASEADDR        XPAR_SDRAM_CONTROLLER_BASEADDR
#define DRAM_START           DRAM_BASEADDR
#define DRAM_SIZE            XPAR_SDRAM_CONTROLLER_HIGHADDR - XPAR_SDRAM_CONTROLLER_BASEADDR + 1
#define DRAM_END            (DRAM_START + DRAM_SIZE - 1)

#else
#error Unknown arch
#endif

#define START_ADDRESS       (DRAM_END - 0x00100000)

#include "memregions_4MiB.h"
#include "memregions_8MiB.h"

#endif /* _HERMIT_SUZAKU_MEMREGIONS_H */
